Get learning framework statistics
Returns per-learn/forget-call statistics. Each entry in the returned list is itself a JSON-encoded string combining the call's key (parsed from an internal log key) with its stat values.
Returns per-learn/forget-call statistics. Each entry in the returned list is itself a JSON-encoded string combining the call's key (parsed from an internal log key) with its stat values.
Authorization
SymetryMLAuth HMAC-SHA256 signature-based authentication: requests are signed with
your secret key and sent with the Customer-ID, Sym-date,
Authorization, Content-MD5 and sym-version headers.
See SymetryML REST API Security
for the signature algorithm and a complete example.
In: header
Path Parameters
User/Customer identifier
Project identifier
Response Body
application/json
application/json
curl -X GET "https://example.com/c1/projects/nbra_prj_iris/getLFStats"{ "statusCode": 200, "statusString": "OK", "values": { "stringList": { "values": [ "{\"client_request_reponse_code\":\"200\",\"client_request_type\":\"learn\",\"client_request_count\":\"1\",\"client_request_df_attributes_types\":\"C,C,C,C,B,B,B,B,B,B,B,B,B,B,B\",\"client_request_df_attributes_names\":\"sepal_length,sepal_width,petal_length,petal_width,sepal_lengt_b1,sepal_lengt_b2,sepal_width_b1,sepal_width_b2,petal_length_b1,petal_length_b2,petal_width_b1,petal_width_b2,Iris_setosa,Iris_versicolor,Iris_virginica\",\"client_id\":\"default-ws-client\",\"client_request_df_attributes_numrows_total\":\"150\",\"client_request_process_time\":\"23\"}" ] } }}{ "statusCode": 400, "statusString": "Cannot find project id[unknownPrj] for Customer id [c1]", "values": {}}Get data source log GET
Each entry in the returned list is itself a JSON-encoded string (not a nested JSON object) describing one data-source request made against this project.
Enable/disable histogram POST
Enable or disable histogram tracking for probability density function (PDF) analysis. Supports configurable window sizes for streaming data scenarios.